Package org.eclipse.emf.cdo.spi.common.revision

## Class ManagedRevisionProvider.WithSynthetics

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider
  - - org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider.WithSynthetics

- All Implemented Interfaces:
    `CDORevisionProvider`, `CDORevisionProviderWithSynthetics`
  Enclosing class:
    ManagedRevisionProvider

      public static class ManagedRevisionProvider.WithSynthetics
      extends ManagedRevisionProvider
      implements CDORevisionProviderWithSynthetics

  A managed revision provider that can also provide `synthetic revisions`.
  Since:
    4.15
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

      `ManagedRevisionProvider.WithSynthetics`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

      `branchPoint, revisionManager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithSynthetics​(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SyntheticCDORevision` | `getSynthetic​(CDOID id)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

      `getBranchPoint, getRevision, getRevisionManager, withSynthetics`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

- - ### Constructor Detail

    - #### WithSynthetics

          public WithSynthetics​(CDORevisionManager revisionManager,
                                CDOBranchPoint branchPoint)

  - ### Method Detail

    - #### getSynthetic

          public SyntheticCDORevision getSynthetic​(CDOID id)

      Specified by:
        `getSynthetic` in interface `CDORevisionProviderWithSynthetics`